Page MenuHomePhabricator

Something strange with WikimediaUI-components_overview.svg
Closed, ResolvedPublic

Event Timeline

Iniquity created this task.Nov 25 2018, 8:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2018, 8:06 PM

Possibly happening because the fonts have been defined as HelveticaNeue-Bold, Helvetica Neue which are pre-installed on MacOS. It shows up in the default font on other OS's. Should add sans-serif here.

Volker_E closed this task as Resolved.Nov 30 2018, 2:14 AM
Volker_E claimed this task.
Volker_E added a subscriber: Volker_E.

Thanks @Iniquity. That should be fixed in most recent push based on https://github.com/wikimedia/WikimediaUI-Style-Guide/pull/159 and be visible online within the next hour.

Iniquity reopened this task as Open.EditedDec 2 2018, 1:43 PM

@Volker_E Thanks! But I regret to inform you that...

I will re-open this task just in case :) Or I need to create another one?

@Iniquity Please take note, that due to line-box rendering inconsistencies in SVG we can't fully control the vertical alignment of text in buttons without a massive manual extra step (moving all text items in SVG up by 1-2 pixels. This is a known issue and will be monitored. For now we have to continue with this small misalignment in SVG. Sketch and PNG are showing the correct position.
See https://iamvdo.me/en/blog/css-font-metrics-line-height-and-vertical-align for further information.

Volker_E closed this task as Resolved.Jun 4 2019, 3:40 PM
Volker_E triaged this task as Normal priority.
Volker_E moved this task from In Dev/Progress to Done on the Wikimedia Design Style Guide board.
Volker_E removed a project: Patch-For-Review.